[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/monotone/devel .cvsignore, 1.14, 1.15 monotone.init, 1.8, 1.9 monotone.spec, 1.23, 1.24 sources, 1.14, 1.15



Author: roland

Update of /cvs/pkgs/rpms/monotone/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv23536

Modified Files:
	.cvsignore monotone.init monotone.spec sources 
Log Message:
Update to 0.35


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/monotone/devel/.cvsignore,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- .cvsignore	5 Apr 2007 06:48:50 -0000	1.14
+++ .cvsignore	10 May 2007 01:41:40 -0000	1.15
@@ -1 +1 @@
-monotone-0.34.tar.gz
+monotone-0.35.tar.gz


Index: monotone.init
===================================================================
RCS file: /cvs/pkgs/rpms/monotone/devel/monotone.init,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- monotone.init	28 Feb 2007 21:37:42 -0000	1.8
+++ monotone.init	10 May 2007 01:41:40 -0000	1.9
@@ -39,11 +39,21 @@
 
 umask 077
 
+check_db_version()
+{
+	db_version=`runuser -s /bin/bash - ${MONOTONE_USER:-monotone} \
+			    -c "$MT $MONOTONE_RCOPTS $MONOTONE_DBOPTS \
+				    db version"` || exit 2
+	set -- $db_version
+	[ "$5" == "(usable)" ]
+	return $?
+}
+
 # See how we were called.
 case "$1" in
   start)
 	if [ -e $MONOTONE_DBFILE ]; then
-		$0 migrate
+		check_db_version || $0 migrate
 	elif [ -e $MONOTONE_OLDDB ]; then
 		echo -n $"Pre-0.26 monotone database must be migrated by hand: "
 		failure


Index: monotone.spec
===================================================================
RCS file: /cvs/pkgs/rpms/monotone/devel/monotone.spec,v
retrieving revision 1.23
retrieving revision 1.24
diff -u -r1.23 -r1.24
--- monotone.spec	5 Apr 2007 06:48:50 -0000	1.23
+++ monotone.spec	10 May 2007 01:41:40 -0000	1.24
@@ -1,5 +1,5 @@
 Name: monotone
-Version: 0.34
+Version: 0.35
 Release: 1%{?dist}
 
 Summary: A free, distributed version control system
@@ -65,7 +65,7 @@
 make %{?_smp_mflags}
 
 %check
-make check || { cat tester_dir/tester.log; false; }
+make %{?_smp_mflags} check || { cat tester_dir/tester.log; false; }
 
 %install
 rm -rf %{buildroot}
@@ -165,6 +165,10 @@
 
 
 %changelog
+* Wed May  9 2007 Roland McGrath <roland redhat com> - 0.35-1
+- Updated for 0.35 release.
+- Avoid unnecessary "db migrate" in monotone-server init script. (#213893)
+
 * Wed Apr  4 2007 Roland McGrath <roland redhat com> - 0.34-1
 - Updated for 0.34 release.
 


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/monotone/devel/sources,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- sources	5 Apr 2007 06:48:50 -0000	1.14
+++ sources	10 May 2007 01:41:40 -0000	1.15
@@ -1 +1 @@
-b7a3cd2d4fcb17287641ee2e33f660fd  monotone-0.34.tar.gz
+9b53046dda8ba7549fa5ce765e14fa65  monotone-0.35.tar.gz


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]